diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -16153,7 +17191,8 @@ namespace Collective\Html {
          */ 
         public static function getSelectOption($display, $value, $selected, $attributes = array(), $optgroupAttributes = array())
         {
-            return \Collective\Html\FormBuilder::getSelectOption($display, $value, $selected, $attributes, $optgroupAttributes);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->getSelectOption($display, $value, $selected, $attributes, $optgroupAttributes);
         }
         
         /**
@@ -16168,7 +17207,8 @@ namespace Collective\Html {
          */ 
         public static function checkbox($name, $value = 1, $checked = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::checkbox($name, $value, $checked, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->checkbox($name, $value, $checked, $options);
         }
         
         /**
@@ -16183,7 +17223,8 @@ namespace Collective\Html {
          */ 
         public static function radio($name, $value = null, $checked = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::radio($name, $value, $checked, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->radio($name, $value, $checked, $options);
         }
         
         /**
@@ -16196,7 +17237,8 @@ namespace Collective\Html {
          */ 
         public static function reset($value, $attributes = array())
         {
-            return \Collective\Html\FormBuilder::reset($value, $attributes);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->reset($value, $attributes);
         }
         
         /**
@@ -16210,7 +17252,8 @@ namespace Collective\Html {
          */ 
         public static function image($url, $name = null, $attributes = array())
         {
-            return \Collective\Html\FormBuilder::image($url, $name, $attributes);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->image($url, $name, $attributes);
         }
         
         /**
@@ -16224,7 +17267,8 @@ namespace Collective\Html {
          */ 
         public static function month($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::month($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->month($name, $value, $options);
         }
         
         /**
@@ -16238,7 +17282,8 @@ namespace Collective\Html {
          */ 
         public static function color($name, $value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::color($name, $value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->color($name, $value, $options);
         }
         
         /**
@@ -16251,7 +17296,8 @@ namespace Collective\Html {
          */ 
         public static function submit($value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::submit($value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->submit($value, $options);
         }
         
         /**
@@ -16264,7 +17310,8 @@ namespace Collective\Html {
          */ 
         public static function button($value = null, $options = array())
         {
-            return \Collective\Html\FormBuilder::button($value, $options);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->button($value, $options);
         }
         
         /**
@@ -16277,7 +17324,8 @@ namespace Collective\Html {
          */ 
         public static function datalist($id, $list = array())
         {
-            return \Collective\Html\FormBuilder::datalist($id, $list);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->datalist($id, $list);
         }
         
         /**
@@ -16290,7 +17338,8 @@ namespace Collective\Html {
          */ 
         public static function getIdAttribute($name, $attributes)
         {
-            return \Collective\Html\FormBuilder::getIdAttribute($name, $attributes);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->getIdAttribute($name, $attributes);
         }
         
         /**
@@ -16303,7 +17352,8 @@ namespace Collective\Html {
          */ 
         public static function getValueAttribute($name, $value = null)
         {
-            return \Collective\Html\FormBuilder::getValueAttribute($name, $value);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->getValueAttribute($name, $value);
         }
         
         /**
@@ -16314,7 +17364,8 @@ namespace Collective\Html {
          */ 
         public static function considerRequest($consider = true)
         {
-            return \Collective\Html\FormBuilder::considerRequest($consider);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->considerRequest($consider);
         }
         
         /**
@@ -16326,7 +17377,8 @@ namespace Collective\Html {
          */ 
         public static function old($name)
         {
-            return \Collective\Html\FormBuilder::old($name);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->old($name);
         }
         
         /**
@@ -16337,7 +17389,8 @@ namespace Collective\Html {
          */ 
         public static function oldInputIsEmpty()
         {
-            return \Collective\Html\FormBuilder::oldInputIsEmpty();
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->oldInputIsEmpty();
         }
         
         /**
@@ -16348,19 +17401,21 @@ namespace Collective\Html {
          */ 
         public static function getSessionStore()
         {
-            return \Collective\Html\FormBuilder::getSessionStore();
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->getSessionStore();
         }
         
         /**
          * Set the session store implementation.
          *
          * @param \Illuminate\Contracts\Session\Session $session
-         * @return $this 
+         * @return \Collective\Html\FormBuilder 
          * @static 
          */ 
         public static function setSessionStore($session)
         {
-            return \Collective\Html\FormBuilder::setSessionStore($session);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->setSessionStore($session);
         }
         
         /**
@@ -16373,20 +17428,21 @@ namespace Collective\Html {
          */ 
         public static function macro($name, $macro)
         {
-            \Collective\Html\FormBuilder::macro($name, $macro);
+                        \Collective\Html\FormBuilder::macro($name, $macro);
         }
         
         /**
          * Mix another object into the class.
          *
          * @param object $mixin
+         * @param bool $replace
          * @return void 
          * @throws \ReflectionException
          * @static 
          */ 
-        public static function mixin($mixin)
+        public static function mixin($mixin, $replace = true)
         {
-            \Collective\Html\FormBuilder::mixin($mixin);
+                        \Collective\Html\FormBuilder::mixin($mixin, $replace);
         }
         
         /**
@@ -16398,7 +17454,7 @@ namespace Collective\Html {
          */ 
         public static function hasMacro($name)
         {
-            return \Collective\Html\FormBuilder::hasMacro($name);
+                        return \Collective\Html\FormBuilder::hasMacro($name);
         }
         
         /**
@@ -16412,7 +17468,8 @@ namespace Collective\Html {
          */ 
         public static function macroCall($method, $parameters)
         {
-            return \Collective\Html\FormBuilder::macroCall($method, $parameters);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->macroCall($method, $parameters);
         }
         
         /**
@@ -16426,7 +17483,7 @@ namespace Collective\Html {
          */ 
         public static function component($name, $view, $signature)
         {
-            \Collective\Html\FormBuilder::component($name, $view, $signature);
+                        \Collective\Html\FormBuilder::component($name, $view, $signature);
         }
         
         /**
@@ -16438,7 +17495,7 @@ namespace Collective\Html {
          */ 
         public static function hasComponent($name)
         {
-            return \Collective\Html\FormBuilder::hasComponent($name);
+                        return \Collective\Html\FormBuilder::hasComponent($name);
         }
         
         /**
@@ -16452,7 +17509,8 @@ namespace Collective\Html {
          */ 
         public static function componentCall($method, $parameters)
         {
-            return \Collective\Html\FormBuilder::componentCall($method, $parameters);
+                        /** @var \Collective\Html\FormBuilder $instance */
+                        return $instance->componentCall($method, $parameters);
         }
         
         /**
@@ -16462,7 +17520,7 @@ namespace Collective\Html {
          */ 
         public static function captcha($attributes = array())
         {
-            return \Collective\Html\FormBuilder::captcha($attributes);
+                        return \Collective\Html\FormBuilder::captcha($attributes);
         }
          
     }
@@ -16483,7 +17541,8 @@ namespace Collective\Html {
          */ 
         public static function entities($value)
         {
-            return \Collective\Html\HtmlBuilder::entities($value);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->entities($value);
         }
         
         /**
@@ -16495,7 +17554,8 @@ namespace Collective\Html {
          */ 
         public static function decode($value)
         {
-            return \Collective\Html\HtmlBuilder::decode($value);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->decode($value);
         }
         
         /**
@@ -16509,7 +17569,8 @@ namespace Collective\Html {
          */ 
         public static function script($url, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::script($url, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->script($url, $attributes, $secure);
         }
         
         /**
@@ -16523,7 +17584,8 @@ namespace Collective\Html {
          */ 
         public static function style($url, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::style($url, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->style($url, $attributes, $secure);
         }
         
         /**
@@ -16538,7 +17600,8 @@ namespace Collective\Html {
          */ 
         public static function image($url, $alt = null, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::image($url, $alt, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->image($url, $alt, $attributes, $secure);
         }
         
         /**
@@ -16552,7 +17615,8 @@ namespace Collective\Html {
          */ 
         public static function favicon($url, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::favicon($url, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->favicon($url, $attributes, $secure);
         }
         
         /**
@@ -16568,7 +17632,8 @@ namespace Collective\Html {
          */ 
         public static function link($url, $title = null, $attributes = array(), $secure = null, $escape = true)
         {
-            return \Collective\Html\HtmlBuilder::link($url, $title, $attributes, $secure, $escape);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->link($url, $title, $attributes, $secure, $escape);
         }
         
         /**
@@ -16582,7 +17647,8 @@ namespace Collective\Html {
          */ 
         public static function secureLink($url, $title = null, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::secureLink($url, $title, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->secureLink($url, $title, $attributes);
         }
         
         /**
@@ -16597,7 +17663,8 @@ namespace Collective\Html {
          */ 
         public static function linkAsset($url, $title = null, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::linkAsset($url, $title, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->linkAsset($url, $title, $attributes, $secure);
         }
         
         /**
@@ -16611,7 +17678,8 @@ namespace Collective\Html {
          */ 
         public static function linkSecureAsset($url, $title = null, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::linkSecureAsset($url, $title, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->linkSecureAsset($url, $title, $attributes);
         }
         
         /**
@@ -16626,7 +17694,8 @@ namespace Collective\Html {
          */ 
         public static function linkRoute($name, $title = null, $parameters = array(), $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::linkRoute($name, $title, $parameters, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->linkRoute($name, $title, $parameters, $attributes);
         }
         
         /**
@@ -16641,7 +17710,8 @@ namespace Collective\Html {
          */ 
         public static function linkAction($action, $title = null, $parameters = array(), $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::linkAction($action, $title, $parameters, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->linkAction($action, $title, $parameters, $attributes);
         }
         
         /**
@@ -16656,7 +17726,8 @@ namespace Collective\Html {
          */ 
         public static function mailto($email, $title = null, $attributes = array(), $escape = true)
         {
-            return \Collective\Html\HtmlBuilder::mailto($email, $title, $attributes, $escape);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->mailto($email, $title, $attributes, $escape);
         }
         
         /**
@@ -16668,7 +17739,8 @@ namespace Collective\Html {
          */ 
         public static function email($email)
         {
-            return \Collective\Html\HtmlBuilder::email($email);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->email($email);
         }
         
         /**
@@ -16680,7 +17752,8 @@ namespace Collective\Html {
          */ 
         public static function nbsp($num = 1)
         {
-            return \Collective\Html\HtmlBuilder::nbsp($num);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->nbsp($num);
         }
         
         /**
@@ -16693,7 +17766,8 @@ namespace Collective\Html {
          */ 
         public static function ol($list, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::ol($list, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->ol($list, $attributes);
         }
         
         /**
@@ -16706,7 +17780,8 @@ namespace Collective\Html {
          */ 
         public static function ul($list, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::ul($list, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->ul($list, $attributes);
         }
         
         /**
@@ -16719,7 +17794,8 @@ namespace Collective\Html {
          */ 
         public static function dl($list, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::dl($list, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->dl($list, $attributes);
         }
         
         /**
@@ -16731,7 +17807,8 @@ namespace Collective\Html {
          */ 
         public static function attributes($attributes)
         {
-            return \Collective\Html\HtmlBuilder::attributes($attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->attributes($attributes);
         }
         
         /**
@@ -16743,7 +17820,8 @@ namespace Collective\Html {
          */ 
         public static function obfuscate($value)
         {
-            return \Collective\Html\HtmlBuilder::obfuscate($value);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->obfuscate($value);
         }
         
         /**
@@ -16757,7 +17835,8 @@ namespace Collective\Html {
          */ 
         public static function meta($name, $content, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::meta($name, $content, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->meta($name, $content, $attributes);
         }
         
         /**
@@ -16771,7 +17850,8 @@ namespace Collective\Html {
          */ 
         public static function tag($tag, $content, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::tag($tag, $content, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->tag($tag, $content, $attributes);
         }
         
         /**
@@ -16784,20 +17864,21 @@ namespace Collective\Html {
          */ 
         public static function macro($name, $macro)
         {
-            \Collective\Html\HtmlBuilder::macro($name, $macro);
+                        \Collective\Html\HtmlBuilder::macro($name, $macro);
         }
         
         /**
          * Mix another object into the class.
          *
          * @param object $mixin
+         * @param bool $replace
          * @return void 
          * @throws \ReflectionException
          * @static 
          */ 
-        public static function mixin($mixin)
+        public static function mixin($mixin, $replace = true)
         {
-            \Collective\Html\HtmlBuilder::mixin($mixin);
+                        \Collective\Html\HtmlBuilder::mixin($mixin, $replace);
         }
         
         /**
@@ -16809,7 +17890,7 @@ namespace Collective\Html {
          */ 
         public static function hasMacro($name)
         {
-            return \Collective\Html\HtmlBuilder::hasMacro($name);
+                        return \Collective\Html\HtmlBuilder::hasMacro($name);
         }
         
         /**
@@ -16823,7 +17904,8 @@ namespace Collective\Html {
          */ 
         public static function macroCall($method, $parameters)
         {
-            return \Collective\Html\HtmlBuilder::macroCall($method, $parameters);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->macroCall($method, $parameters);
         }
         
         /**
@@ -16837,7 +17919,7 @@ namespace Collective\Html {
          */ 
         public static function component($name, $view, $signature)
         {
-            \Collective\Html\HtmlBuilder::component($name, $view, $signature);
+                        \Collective\Html\HtmlBuilder::component($name, $view, $signature);
         }
         
         /**
@@ -16849,7 +17931,7 @@ namespace Collective\Html {
          */ 
         public static function hasComponent($name)
         {
-            return \Collective\Html\HtmlBuilder::hasComponent($name);
+                        return \Collective\Html\HtmlBuilder::hasComponent($name);
         }
         
         /**
@@ -16863,7 +17945,8 @@ namespace Collective\Html {
          */ 
         public static function componentCall($method, $parameters)
         {
-            return \Collective\Html\HtmlBuilder::componentCall($method, $parameters);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->componentCall($method, $parameters);
         }
          
     }
@@ -16884,7 +17967,8 @@ namespace Collective\Html {
          */ 
         public static function entities($value)
         {
-            return \Collective\Html\HtmlBuilder::entities($value);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->entities($value);
         }
         
         /**
@@ -16896,7 +17980,8 @@ namespace Collective\Html {
          */ 
         public static function decode($value)
         {
-            return \Collective\Html\HtmlBuilder::decode($value);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->decode($value);
         }
         
         /**
@@ -16910,7 +17995,8 @@ namespace Collective\Html {
          */ 
         public static function script($url, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::script($url, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->script($url, $attributes, $secure);
         }
         
         /**
@@ -16924,7 +18010,8 @@ namespace Collective\Html {
          */ 
         public static function style($url, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::style($url, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->style($url, $attributes, $secure);
         }
         
         /**
@@ -16939,7 +18026,8 @@ namespace Collective\Html {
          */ 
         public static function image($url, $alt = null, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::image($url, $alt, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->image($url, $alt, $attributes, $secure);
         }
         
         /**
@@ -16953,7 +18041,8 @@ namespace Collective\Html {
          */ 
         public static function favicon($url, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::favicon($url, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->favicon($url, $attributes, $secure);
         }
         
         /**
@@ -16969,7 +18058,8 @@ namespace Collective\Html {
          */ 
         public static function link($url, $title = null, $attributes = array(), $secure = null, $escape = true)
         {
-            return \Collective\Html\HtmlBuilder::link($url, $title, $attributes, $secure, $escape);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->link($url, $title, $attributes, $secure, $escape);
         }
         
         /**
@@ -16983,7 +18073,8 @@ namespace Collective\Html {
          */ 
         public static function secureLink($url, $title = null, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::secureLink($url, $title, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->secureLink($url, $title, $attributes);
         }
         
         /**
@@ -16998,7 +18089,8 @@ namespace Collective\Html {
          */ 
         public static function linkAsset($url, $title = null, $attributes = array(), $secure = null)
         {
-            return \Collective\Html\HtmlBuilder::linkAsset($url, $title, $attributes, $secure);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->linkAsset($url, $title, $attributes, $secure);
         }
         
         /**
@@ -17012,7 +18104,8 @@ namespace Collective\Html {
          */ 
         public static function linkSecureAsset($url, $title = null, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::linkSecureAsset($url, $title, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->linkSecureAsset($url, $title, $attributes);
         }
         
         /**
@@ -17027,7 +18120,8 @@ namespace Collective\Html {
          */ 
         public static function linkRoute($name, $title = null, $parameters = array(), $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::linkRoute($name, $title, $parameters, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->linkRoute($name, $title, $parameters, $attributes);
         }
         
         /**
@@ -17042,7 +18136,8 @@ namespace Collective\Html {
          */ 
         public static function linkAction($action, $title = null, $parameters = array(), $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::linkAction($action, $title, $parameters, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->linkAction($action, $title, $parameters, $attributes);
         }
         
         /**
@@ -17057,7 +18152,8 @@ namespace Collective\Html {
          */ 
         public static function mailto($email, $title = null, $attributes = array(), $escape = true)
         {
-            return \Collective\Html\HtmlBuilder::mailto($email, $title, $attributes, $escape);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->mailto($email, $title, $attributes, $escape);
         }
         
         /**
@@ -17069,7 +18165,8 @@ namespace Collective\Html {
          */ 
         public static function email($email)
         {
-            return \Collective\Html\HtmlBuilder::email($email);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->email($email);
         }
         
         /**
@@ -17081,7 +18178,8 @@ namespace Collective\Html {
          */ 
         public static function nbsp($num = 1)
         {
-            return \Collective\Html\HtmlBuilder::nbsp($num);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->nbsp($num);
         }
         
         /**
@@ -17094,7 +18192,8 @@ namespace Collective\Html {
          */ 
         public static function ol($list, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::ol($list, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->ol($list, $attributes);
         }
         
         /**
@@ -17107,7 +18206,8 @@ namespace Collective\Html {
          */ 
         public static function ul($list, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::ul($list, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->ul($list, $attributes);
         }
         
         /**
@@ -17120,7 +18220,8 @@ namespace Collective\Html {
          */ 
         public static function dl($list, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::dl($list, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->dl($list, $attributes);
         }
         
         /**
@@ -17132,7 +18233,8 @@ namespace Collective\Html {
          */ 
         public static function attributes($attributes)
         {
-            return \Collective\Html\HtmlBuilder::attributes($attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->attributes($attributes);
         }
         
         /**
@@ -17144,7 +18246,8 @@ namespace Collective\Html {
          */ 
         public static function obfuscate($value)
         {
-            return \Collective\Html\HtmlBuilder::obfuscate($value);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->obfuscate($value);
         }
         
         /**
@@ -17158,7 +18261,8 @@ namespace Collective\Html {
          */ 
         public static function meta($name, $content, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::meta($name, $content, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->meta($name, $content, $attributes);
         }
         
         /**
@@ -17172,7 +18276,8 @@ namespace Collective\Html {
          */ 
         public static function tag($tag, $content, $attributes = array())
         {
-            return \Collective\Html\HtmlBuilder::tag($tag, $content, $attributes);
+                        /** @var \Collective\Html\HtmlBuilder $instance */
+                        return $instance->tag($tag, $content, $attributes);
         }
         
         /**
